Bug 197562 - Video corruption on resume from suspend (thinkpad)
Video corruption on resume from suspend (thinkpad)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-04 02:08 EDT by Robert Nagle
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:09:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Nagle 2006-07-04 02:08:01 EDT
Two cases of failure when using suspend on thinkpad. 

1)Myself. When I upgraded from 33 to 39 kernel, resuming from suspend would
cause a system crash EVERY time.
http://www.fedoraforum.org/forum/showthread.php?t=115673, 
  * xorg-x11-server-Xorg-1.0.1-9.fc5.5
(I don't have the ati drivers). 

2. Other person.
http://abstractfactory.blogspot.com/2006/07/video-corruption-on-resume-from.html#comments
He's using T43,     * kernel-2.6.16-1.2133_FC5
    * xorg-x11-server-Xorg-1.0.1-9.fc5.5

here's a thinkwiki topic on the subject which might or might not be relevant
http://www.thinkwiki.org/wiki/Problems_with_ACPI_suspend-to-ram
Comment 1 Robert Nagle 2006-07-04 02:09:04 EDT
Sorry, Person 2 is on T42. I'm on a T43. 
Comment 2 Robert Nagle 2006-07-04 02:11:58 EDT
Sorry, I should have made something clear.  For me this crash on 39 is ALWAYS
REPRODUCIBLE. However, when I revert back to 33, suspend works (although it
hiccups a bit). I sometimes have to try more than once to get it working again. 

I can't speak for the other person. 
Comment 3 Robert Nagle 2006-07-07 18:27:46 EDT
this might be a duplicate of
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169201 . However, it still
exists in the 45 kernel
Comment 4 Matthias Runge 2006-07-11 02:57:45 EDT
@Robert Nagle
I'm pretty sure, this is no duplicate on
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169201
Comment 5 Adam Jackson 2007-04-05 16:13:43 EDT
What hardware is this with?  Can you attach /var/log/Xorg.0.log from an affected
system?
Comment 6 Adam Jackson 2007-05-26 15:09:12 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.
Comment 7 Jonathan Pritchard 2008-06-27 08:35:31 EDT
I'm seeing similiar corruption on a T41p Thinkpad (Slightly older hardware than
the previous two commenters). Running Fedora 9 with latest updates and the
xf86-ati-6.8.0 driver.

However, a marked improvement over Fedora Core 5 & 6 that just wouldn't suspend
or resume.

It only occurs when I turn 'Desktop Effects' on though and manifests itself by
rainbow-coloured lines and pixels around my panels and everything.

Workaround:
Turn Desktop Effects off and then back on again.

Are there any logs or debug outputs I could attach to help diagnose the problem?

Note You need to log in before you can comment on or make changes to this bug.